High Priest Sylvain:
To become a Cleric, one's faith must be verified. Priest Zigaunt, in the village of Gludin, may judge the purity of your faith. If you pass his test and return with the Mark of Faith, you can change profession to become a Cleric.
Priest Zigaunt is in the temple of the village of Gludin. You can reach the village of Gludin by continuing west on the road. The temple is in the northeast part of the village. Of course, using a Gatekeeper is much faster.
Return